﻿input.largeCheckbox {
    width: 20px;
    height: 20px;
} 
.label-secondary {
  background: #2196F3 !important;
  color: #fff;
}

.label-dark-cyan {
  background: #26a69a !important;
  color: #fff;
}
.badge-primary {
  background-color: #428BCA;
}

.badge-default {
  background-color: darkgray;
}

.badge-dark {
  background-color: #222831;
  color: #fff;
}

.badge-danger{
  background-color: #f05454;
}
.badge-secondary{
  background-color: #344fa1;
}
.badge-success{
  background-color: #4db543;
}

.badge-orange{
  background-color: #ff5200;
}

.skin-blue-light .sidebar-menu > li:hover > a, .skin-blue-light .sidebar-menu > li.active > a {
  color: #000;
  background: #e6e6e8 !important;
  border-left: 5px solid #3C8DBC;
}

.skin-blue-light .main-header .logo {
  background-color: #f9fafc;
  color: #000;
  border-bottom: 1px solid #ddd;
  font-size: 1.5rem;
}

.skin-blue-light .main-header .logo:hover {
  background-color: #f9fafc;
}

.mt25{
  margin-top:25px;
}
.mt20{
  margin-top:20px;
}

.text-large{
  font-size:large;
}

.text-medium{
  font-size:medium;
}

.text-white
{
  color:#fff;
}
.text-white:hover
{
  color: #fff;
}


.badge-inverse {
  color: #fff;
  background-color: #131e26; }
.badge-inverse[href]:hover, .badge-inverse[href]:focus {
  color: #fff;
  text-decoration: none;
  background-color: #020304; }

.badge-green {
  color: #fff;
  background-color: #37bc9b; }
.badge-green[href]:hover, .badge-green[href]:focus {
  color: #fff;
  text-decoration: none;
  background-color: #2b957a; }

.badge-purple {
  color: #fff;
  background-color: #7266ba; }
.badge-purple[href]:hover, .badge-purple[href]:focus {
  color: #fff;
  text-decoration: none;
  background-color: #564aa3; }


ul.pagination .current {

  position: relative;
  padding: 6px 12px;
  text-decoration: none;
  border: 1px solid #3C8DBC;
  background:#3C8DBC;
  color: #eee;
  top:-13px;
}

ul.pagination li {
  display: inline-block;
}

ul.pagination li .show-for-sr {
  display: none;
}

.inline-block {
  display: inline-block;
}

.treeview > .treeview-menu> li > a {
  margin-left: 10px;
}

.required:after {
  content: " *";
  font-weight: bold;
  color: red;
}

input[type="text"]:not(""), select:focus, textarea:focus {
  background: #eaf7ff;
  border: 1px solid #8ad4ff;
}

/*Tooltip*/

.tooltip.show {
  opacity: 1;
}

.page-title
{
  font-size: 2em;
  color:skyblue;
  position:relative;
}
.page-title::after
{
  content:"";
  width:100%;
  border-top:2px solid  aqua;
  position:absolute;
  top:100%;
  left:0;
}
.m-t-5 {
  margin-top: 5px;
}

.clearable:focus {
  background: #eaf7ff url(http://i.stack.imgur.com/mJotv.gif) no-repeat right -10px center;
}

.clearable.x {
  background-position: right 5px center;
}
/* (jQ) Show icon */
.clearable.onX {
  cursor: pointer;
}
/* (jQ) hover cursor style */
.clearable::-ms-clear {
  display: none;
  width: 0;
  height: 0;
}

/* Image Preview*/

.image-preview {
  max-height: 205px;
  max-width: 100%;
  min-height: 200px;
  margin: 0 auto;
}

.image-thumbnail-preview {
  max-height: 50px;
  max-width: 100%;
  min-height: 50px;
  margin: 0 auto;
}

input[type="search"] {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-appearance: searchfield;
}

input[type="search"]::-webkit-search-cancel-button {
  -webkit-appearance: searchfield-cancel-button;
}


.text-golden{
  color:gold;
}
.text-golden:hover{
  color:goldenrod;
}

.text-default{
  color: #828282;
}

.text-default:hover{
  color:#686868;
}

.inline-image-preview{
  background-size: cover;
  background-repeat: no-repeat;
  background-image: url('/images/empty-image.jpg'),linear-gradient(#8ec0ff, #3f8bc6);
  width: 100%;
  height: 300px;
  background-position: center;
}

.table-action-button
{
  display:inline-flex;
}

.table-action-button > a
{
  margin:2px;
}

.bg-white
{
  background-color: #fff;
}


/* toastify custom css*/

.toastify{
  padding: 16px 32px !important;
  font-size: medium !important;
}

.toastify-avatar{
    display:inline-block;
}

/* date-picker*/
.nepali-date-picker {
  z-index: 9824053197 !important;
}

.m-1
{
  margin: 0.25rem;
}
/* Page Template for the exported PDF */
.page-template {
  font-family: "DejaVu Sans", "Arial", sans-serif;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.page-template .header {
  position: absolute;
  top: 30px;
  left: 30px;
  right: 30px;
  border-bottom: 1px solid #888;
  color: #888;
}

.page-template .footer {
  position: absolute;
  bottom: 30px;
  left: 30px;
  right: 30px;
  border-top: 1px solid #888;
  text-align: center;
  color: #888;
}

.page-template .watermark {
  font-weight: bold;
  font-size: 400%;
  text-align: center;
  margin-top: 30%;
  color: #aaaaaa;
  opacity: 0.1;
  transform: rotate(-35deg) scale(1.7, 1.5);
}



/*Modal*/

/*.modal-body {*/
/*   padding: 0px; */
/*}*/
.modal-title
{
  display: inline-block;
  font-size: medium;
  font-weight: bold;
}


/*Loader Spinner*/

 .loader {
   position: fixed;
   left: 0px;
   top: 0px;
   width: 100%;
   height: 100%;
   z-index: 9999;
   background: rgba(0, 0, 0,.3);
 }

 .centered
 {
   position: fixed;
   top: 50%;
   left: 50%;
   transform: translate(-50%, -50%);
 }

.unselectable
{
  user-select: none;
  -moz-user-select: none;
}

@media (max-width: 767px) {
  .skin-blue-light .main-header .navbar .dropdown-menu li a {
    color: #232323;
  }
}

.profile-user-img
{
  width:150px;
  height:150px;
}

.current-year-txt
{
    width:6rem;
}
#loading {
    color: #ede7e7;
    font-size: 50px;
    text-indent: -9999em;
    overflow: hidden;
    width: 1em;
    height: 1em;
    border: 3px solid rgba(255,255,255,.3);
    border-radius: 50%;
    margin: 0px auto;
    margin-top: 300px !important;
    position: relative;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation: load6 1s infinite ease, round 1.7s infinite ease;
    animation: load6 1s infinite ease, round 1.2s infinite ease;
}

@-webkit-keyframes load6 {
    0% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }

    5%, 95% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }

    10%, 59% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.087em -0.825em 0 -0.42em, -0.173em -0.812em 0 -0.44em, -0.256em -0.789em 0 -0.46em, -0.297em -0.775em 0 -0.477em;
    }

    20% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.338em -0.758em 0 -0.42em, -0.555em -0.617em 0 -0.44em, -0.671em -0.488em 0 -0.46em, -0.749em -0.34em 0 -0.477em;
    }

    38% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.377em -0.74em 0 -0.42em, -0.645em -0.522em 0 -0.44em, -0.775em -0.297em 0 -0.46em, -0.82em -0.09em 0 -0.477em;
    }

    100% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
}

@keyframes load6 {
    0% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }

    5%, 95% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }

    10%, 59% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.087em -0.825em 0 -0.42em, -0.173em -0.812em 0 -0.44em, -0.256em -0.789em 0 -0.46em, -0.297em -0.775em 0 -0.477em;
    }

    20% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.338em -0.758em 0 -0.42em, -0.555em -0.617em 0 -0.44em, -0.671em -0.488em 0 -0.46em, -0.749em -0.34em 0 -0.477em;
    }

    38% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.377em -0.74em 0 -0.42em, -0.645em -0.522em 0 -0.44em, -0.775em -0.297em 0 -0.46em, -0.82em -0.09em 0 -0.477em;
    }

    100% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
}

@-webkit-keyframes round {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes round {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}


.login-loader {
    display: inline-block;
    position: relative;
    width: 10px;
  
}

    .login-loader div {
        position: absolute;
        top: -10px;
        margin-left:-60px;
        width: 13px;
        height: 13px;
        border-radius: 50%;
        background: #fff;
        animation-timing-function: cubic-bezier(0, 1, 1, 0);
    }

        .login-loader div:nth-child(1) {
            left: 8px;
            animation: login-loader1 0.6s infinite;
        }

        .login-loader div:nth-child(2) {
            left: 8px;
            animation: login-loader2 0.6s infinite;
        }

        .login-loader div:nth-child(3) {
            left: 32px;
            animation: login-loader2 0.6s infinite;
        }

        .login-loader div:nth-child(4) {
            left: 56px;
            animation: login-loader3 0.6s infinite;
        }

@keyframes login-loader1 {
    0% {
        transform: scale(0);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes login-loader3 {
    0% {
        transform: scale(1);
    }

    100% {
        transform: scale(0);
    }
}

@keyframes login-loader2 {
    0% {
        transform: translate(0, 0);
    }

    100% {
        transform: translate(24px, 0);
    }
}